# Generated by Django 3.0.4 on 2020-04-02 20:20

import coronahelp.apps.registration.models
import django.core.files.storage
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [('registration', '0001_initial'), ('registration', '0002_user_id_verified'), ('registration', '0003_user_personal_id'), ('registration', '0004_auto_20200402_1857'), ('registration', '0005_auto_20200402_2012'), ('registration', '0006_auto_20200402_2048'), ('registration', '0007_remove_user_personal_id'), ('registration', '0008_user_identity_card'), ('registration', '0009_user_identity_number'), ('registration', '0010_auto_20200402_2124'), ('registration', '0011_auto_20200402_2134'), ('registration', '0012_remove_user_identity_card'), ('registration', '0013_user_identity_card'), ('registration', '0014_auto_20200402_2211')]

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
        ('public', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email address')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=30, verbose_name='last name')),
                ('date_joined', models.DateTimeField(auto_now_add=True, verbose_name='date joined')),
                ('is_active', models.BooleanField(default=True, verbose_name='active')),
                ('sms_verifyer_token', models.CharField(max_length=10, null=True)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_hotline_volunteer', models.BooleanField(default=False)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('fon', models.CharField(help_text='Bitte im Format +49(erste Null weglassen) 152337182 etc.', max_length=100, verbose_name='Telefonnummer')),
                ('postal_code', models.IntegerField(null=True, verbose_name='PLZ')),
                ('street_name', models.CharField(max_length=255, verbose_name='Straßenname')),
                ('street_number', models.CharField(max_length=10, verbose_name='Hausnummer')),
                ('city', models.CharField(max_length=255, verbose_name='Ort')),
                ('state', models.CharField(max_length=255, verbose_name='Bundesland')),
                ('country', models.CharField(max_length=255, verbose_name='Land')),
                ('sms_verified', models.BooleanField(default=False)),
                ('blocked', models.BooleanField(default=False)),
                ('number_of_activation_sms_sent', models.SmallIntegerField(default=1)),
                ('lat', models.CharField(blank=True, max_length=100, null=True, verbose_name='latitude')),
                ('long', models.CharField(blank=True, max_length=100, null=True, verbose_name='longitude')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('languages', models.ManyToManyField(to='public.Languages', verbose_name='Welche Sprachen sprichst Du?')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
                ('id_verified', models.BooleanField(default=False)),
                ('identity_number', models.CharField(default='12335', max_length=100)),
                ('identity_card', models.FileField(storage=django.core.files.storage.FileSystemStorage(location='/Users/doriancantzen/workspace/ownprojects/coronahelp/media/'), upload_to='')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', coronahelp.apps.registration.models.UserManager()),
            ],
        ),
    ]
